function X=krand(NRAND,Y,P,seed)
% Usage:  X=krand(NRAND,Y,P,seed)
% Returns NRAND random integers in the interval 1:n, n=length(Y) 
% distributed according to [p(1) p(2) ... p(n)]
% Y and P contain all the information on p; they must be initialized by 
% [Y,P]=knuth(p);
% seed is optional: either an integer or the string 'auto'; 
% in this latter case the seed is chosen at random from the system clock.
% Files: KNUTH.m

if nargin==4,
  if isstr(seed),
    rand('seed',sum(clock)*100);
  else
    rand('seed',seed);
  end
end

N=length(P);

X=zeros(1,NRAND);
r=N*rand(1,NRAND);  
j=floor(r);
v=r-j; % Are low digits random enough?

%v=rand(1,NRAND); % if not use this line instead

X=j+1;
ind=find(v>P(j+1));
X(ind)=Y(j(ind)+1);


