function A=buffon(d, N, L, color)
% Buffon needle experiment 
% A Montecarlo program which computes the integral of sin(x) 
% E.Onofri 2004 
    
  h=rand(1,N)*L;
  x=rand(1,N)*L;
  t=rand(1,N)*pi;
  
  if nargin==4

    handle=plot([x(1), x(1) + d*cos(t(1))], [h(1),h(1)+d*sin(t(1))], color, ...
		'LineWidth',2,'EraseMode','none');
    axis([-d, L+d, -d, L+d])
    axis square

    set(gca,'YGrid','on')
    
    for j=2:N,
      set(handle,'Xdata',[x(j) ,x(j) + d*cos(t(j))],...
		 'Ydata',[h(j),h(j)+d*sin(t(j))])
      drawnow
    end
    hold on

  end
  
  A=1-sum(floor(h)==floor(h+d*sin(t)))/N;
  
  
  
  