% ehrenfest model
% Calcola l'evoluzione della distribuzione di
% probabilita' per il modello di Ehrenfest. 
% Input: N = numero di particell
% k numero iniziale nella prima urna
% t numero di steps

N=input('N=');
k=input('k=');
t=input('t=');

x=(0:N)'/N;
y=flipud(x);

P = spdiags([y,x],[-1,1],N+1,N+1);	% Matrice stocastica 
p = zeros(N+1,1);			% probabilit iniziale
p(k+1)=1;

h=plot(p,'r');
set(h,'EraseMode','background');

hold
for(n=1:t),
p=P*p;
set(h,'ydata',p);
axis tight
drawnow
end

av=sum(p.*x)*N;
dev=sqrt(sum(p.*x.^2)*N^2-av^2);

disp(['Mean=' num2str(av) ' - std = ' num2str(dev)]);




