function [p,Y,P]= krndini(func,x)
% Initialize lookup table for krandc
%
% Usage: [p,Y,P]= krndini(func,x)
% x is the 1-dim mesh
% 'func' is a user-defined function giving the
% probability density
% To get a sample of N numbers distributed 
% according to 'func', enter:
% X = krandc(N,x,p,Y,P,seed);

n=length(x);
xm=x(1:n-1);
xp=x(2:n);

p = feval(func,x);
if(min(p)<0),
  disp('Error: p cannot be negative')
  return;
end

p1 = .5*(feval(func,xp)+feval(func,xm));
p=p/sum(p);
p1=p1/sum(p1);

[Y,P]=knuth(p1,1);

