function [T,Z]=perrin
% Usage [T,Z]=perrin
% fill dialog box with setup parameters
% The program solves the Langevin equation in the case of a
% constant drift (sedimentation)


entries={
    'h (initial height)',...
    'Tmax',...
    'V',...
    'iter',...
    'samples',...
    'seed'
	};

default={
    '1.0',...     % initial data - change only via dialog menu
    '100.0',...     % DO NOT CHANGE SOURCE FILE
    '1.0',...	 
    '1000.0',... 
    '100',...
    '100'
	};
header='Setup';
lines=1;
setup=inputdlg(entries,header,lines,default,'on');
h=str2num(setup{1})
Tmax=str2num(setup{2});
v = str2num(setup{3});
iter=str2num(setup{4});    
samples=str2num(setup{5});    
seed=str2num(setup{6});    

tau=v*Tmax/iter;
T=(1:iter)'*tau;

Z=zeros(iter,samples);

Z(1,:)=rand(1,samples)*h;

for j=2:iter,
  w=sqrt(tau)*randn(1,samples);
  Znew = Z(j-1,:) - tau + w ;
  Z(j,:)=abs(Znew);
end


