function [x,p]=rnd(N,Ns)

% x gives a set of Ns numbers in the interval (1,N) extracted
% according to the probability distribution p

if nargin<1, N=10;end 
if nargin<2, Ns=1000;end 

p=sort(rand(N,1));p=p/sum(p);
q=cumsum(p)-p;
x=zeros(Ns,1);

for j=1:Ns,
   r=rand;
   x(j)=max(find(q<r));
end

histogram(x,N)
hold on
stem(p*Ns)
