function [p,d,X]=manydices(N,n)
% play with n dices using the alias method!
% Usage:
%        [p,X]=manydices(N,n)
% N = number of samples (default 1000)
% n = number of dices (default 4)
if nargin<2,n=4;end

if nargin<1,N=1e3;end

p=ones(6,1);
p2=conv(p,p);
for j=1:n-2,
    p2=conv(p2,p);
end

p = p2/6^n;
d = n:6*n;
K = kalias(p);

tic
X=krand(N,K)+n-1;
toc

histogram(X,'Normalization','pdf','Binmethod','integers')
set(gcf,'Windowstyle','docked')

hold on
plot(d, p, 'LineWidth',2)
grid

% alternativa:
tic;
D = randi(6,N,1);
for j=1:n-1,
    D = D+randi(6,N,1); 
end
toc

